Subject: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Pip Cet <[email-masked]>
Date: Tue, 27 Aug 2024 19:26:21 +0000

"Eli Zaretskii" <[email-masked]> writes:

> That was the main idea of the patch I proposed, except that avoiding
> to set the face_change flag when all we have in the cache are the
> basic faces is a bit stronger, no?

Indeed.  I think your proposed patch is the way to go, with the
off-by-one fixed.  I think there will be some slowdown for people using
non-ASCII faces in the modeline, in particular, but it should still
result in acceptable performance.

>> Is that case sufficiently common to result in acceptable
>> performance?
>
> Which case?

That only basic faces are realized, and we can therefore avoid freeing
any cached faces.

Pip